/*
 * bibprogs.h
 *
 * Copyright (c) Chris Putnam 2005
 *
 */

#ifndef BIBPROGS_H
#define BIBPROGS_H

#include "bibutils.h"

extern void tomods_processargs( int *argc, char *argv[], param *p, 
	char *progname, char *help1, char *help2 );
extern void args_encoding( int argc, char *argv[], int i, int *charset, 
	int *utf8, char *progname );
extern int args_match( char *check, char *shortarg, char *longarg );

int bib2xml(char *input, char *output);
int ris2xml(char *input, char *output);
int copac2xml(char *input, char *output);
int end2xml(char *input, char *output);
int med2xml(char *input, char *output);
int isi2xml(char *input, char *output);
int xml2bib(char *input, char *output);
int xml2ris(char *input, char *output);
int xml2end(char *input, char *output);



#endif

